com.taosdata.jdbc.ws

## Class InFlightRequest

- java.lang.Object
- - com.taosdata.jdbc.ws.InFlightRequest

    public class InFlightRequest
    extends Object

Unfinished execution

### Constructor Summary

Constructors
Constructor and Description
`InFlightRequest(int concurrentNum)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`boolean` `hasInFlightRequest()`
`void` `put(FutureResponse rf)`
`FutureResponse` `remove(String action, Long id)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InFlightRequest

    public InFlightRequest(int concurrentNum)

### Method Detail

#### put

    public void put(FutureResponse rf)
             throws SQLException

Throws:
  `SQLException`

#### remove

    public FutureResponse remove(String action,
                                 Long id)

#### close

    public void close()

#### hasInFlightRequest

    public boolean hasInFlightRequest()